NX Open C++ Reference Guide
|
Represents a GeometricUtilities::CircularFrameBuilder. More...
Public Types | |
enum | Subtypes { SubtypesArbitrary, SubtypesHalf, SubtypesQuarter, SubtypesFull } |
Represents the circular frame subtypes. More... | |
![]() | |
enum | AnchorAttachmentType { AnchorAttachmentTypeNone, AnchorAttachmentTypeCenter, AnchorAttachmentTypeVertex1, AnchorAttachmentTypeVertex2, AnchorAttachmentTypeVertex3, AnchorAttachmentTypeVertex4 } |
Represents the anchor attachment type. More... | |
Public Member Functions | |
double | GetAngle (int index) |
Gets the i-th angle of the circular frame. | |
double | GetRadius (int index) |
Gets the i-th radius of the circular frame. | |
void | SetAngle (int index, double angle) |
Sets the i-th angle of the circular frame Created in NX6.0.0. | |
void | SetRadius (int index, double radius) |
Sets the i-th radius of the circular frame Created in NX6.0.0. | |
void | SetSubtype (NXOpen::GeometricUtilities::CircularFrameBuilder::Subtypes subtype) |
Sets the subtype Created in NX6.0.0. | |
NXOpen::GeometricUtilities::CircularFrameBuilder::Subtypes | Subtype () |
Returns the subtype Created in NX6.0.0. | |
![]() | |
NXOpen::GeometricUtilities::AnchorLocatorBuilder * | Anchor () |
Returns the anchor of the frame Created in NX6.0.0. | |
NXOpen::GeometricUtilities::ShapeFrameBuilder::AnchorAttachmentType | AnchorAttachment () |
Returns the anchor attachment Created in NX6.0.0. | |
NXOpen::Point2d | GetMidpointCoords (int index) |
Gets the coordinates of the i-th midpoint of the frame with respect to the plane. | |
NXOpen::Point2d | GetVertexCoords (int index) |
Gets the coordinates of the i-th vertex of the frame with respect to the plane. | |
int | NumberVertices () |
Returns the number of vertices of the frame Created in NX6.0.0. | |
void | SetAnchorAttachment (NXOpen::GeometricUtilities::ShapeFrameBuilder::AnchorAttachmentType anchorAttachment) |
Sets the anchor attachment Created in NX6.0.0. | |
void | SetMidpointCoords (int index, const NXOpen::Point2d &coords) |
Sets the coordinates of the i-th midpoint of the frame with respect to the plane Created in NX6.0.0. | |
void | SetVertexCoords (int index, const NXOpen::Point2d &coords) |
Sets the coordinates of the i-th vertex of the frame with respect to the plane Created in NX6.0.0. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a GeometricUtilities::CircularFrameBuilder.
Created in NX6.0.0.
double NXOpen::GeometricUtilities::CircularFrameBuilder::GetAngle | ( | int | index | ) |
Gets the i-th angle of the circular frame.
index | index of angle |
double NXOpen::GeometricUtilities::CircularFrameBuilder::GetRadius | ( | int | index | ) |
Gets the i-th radius of the circular frame.
index | index of radius |
void NXOpen::GeometricUtilities::CircularFrameBuilder::SetAngle | ( | int | index, |
double | angle | ||
) |
Sets the i-th angle of the circular frame
Created in NX6.0.0.
License requirements : None
index | index of angle |
angle | angle |
void NXOpen::GeometricUtilities::CircularFrameBuilder::SetRadius | ( | int | index, |
double | radius | ||
) |
Sets the i-th radius of the circular frame
Created in NX6.0.0.
License requirements : None
index | index of radius |
radius | radius |
void NXOpen::GeometricUtilities::CircularFrameBuilder::SetSubtype | ( | NXOpen::GeometricUtilities::CircularFrameBuilder::Subtypes | subtype | ) |
Sets the subtype
Created in NX6.0.0.
License requirements : None
subtype | subtype |
NXOpen::GeometricUtilities::CircularFrameBuilder::Subtypes NXOpen::GeometricUtilities::CircularFrameBuilder::Subtype | ( | ) |
Returns the subtype
Created in NX6.0.0.
License requirements : None